This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 440054 - gdm-user-switch-applet doesn't offer "icon only look" anymore
gdm-user-switch-applet doesn't offer "icon only look" anymore
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Regression
: 443252 444293 449762 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 11:12 EDT by Nils Philippsen
Modified: 2015-07-03 08:16 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:05:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (7.27 KB, patch)
2008-05-08 21:23 EDT, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Nils Philippsen 2008-04-01 11:12:02 EDT
Description of problem:
The current version of the applet doesn't let me use the (for lack of better
terms) "icon only look" anymore, instead it defaults to displaying my name in
the panel. This wastes panel real estate and makes discovering the applet to
switch users harder if indeed somebody else is logged in.

Version-Release number of selected component (if applicable):
gdm-user-switch-applet-2.21.10-0.2008.03.26.3.fc9.x86_64

How reproducible:
Reproducible.

Steps to Reproduce:
1. Add user switch applet if no already present.
  
Actual results:
The name of the logged in user is shown with no way to change that.

Expected results:
A way to get the old "icon only look" back.

Additional info:
I know that the screen saver offers switching users as well. As the computer in
question is in a trusted location, we don't use locking screen savers on it. If
indeed some malfeasant person would get in there, we would have more pressing
problems than the sessions not being locked ;-).
Comment 1 Deji Akingunola 2008-04-09 00:47:10 EDT
I think there is also a 'privacy' concern here too, as one may be in an
environment where displaying the full name on the panel is not desirable. The
old fast-user-switcher-applet allows for 3 options, displaying the full name, or
an "icon only look", or using the word 'Users'.
Comment 2 Matthias Clasen 2008-04-20 21:43:56 EDT
*** Bug 443252 has been marked as a duplicate of this bug. ***
Comment 3 Matthias Clasen 2008-04-26 15:05:25 EDT
*** Bug 444293 has been marked as a duplicate of this bug. ***
Comment 4 Matthias Clasen 2008-05-08 21:23:57 EDT
Created attachment 304918 [details]
patch

Here is a patch that adds a "Show Username" check to the context menu.
Comment 5 Bug Zapper 2008-05-14 04:32:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Nils Philippsen 2008-05-19 19:54:03 EDT
Hmm, now that I've upgraded to F9 at home, I found out that
gdm-user-switch-applet always locks the screen when switching the user --
regardless of the screensaver setting. Is there a way to switch this off or do
you want a new bug for this?
Comment 7 Brian C. Huffman 2008-06-03 07:59:00 EDT
I think this needs a bump - I completely agree with the poster that this is a
huge waste of real estate.  I'm fine if by default it's set to the user's name,
but the option to change should exist.  I haven't tried out patch by Matthias
Clasen, but if it works, I think it should be pushed out as an update for F9.
Comment 8 Thomas Vander Stichele 2008-06-08 11:16:19 EDT
+1 - in fact, I don't understand where this feature has gone because it looks
like it's there in upstream.

Jon, can you comment please ?
Comment 9 Nils Philippsen 2008-07-07 03:10:16 EDT
*** Bug 449762 has been marked as a duplicate of this bug. ***
Comment 10 Thomas Vander Stichele 2008-08-01 04:31:27 EDT
Jon, ping.
Comment 11 Piergiorgio Sartor 2008-08-01 07:20:03 EDT
Why is this in "needinfo" status?
I cannot see which info is needed.

Maybe better to revert to "assigned", if info is really needed, a second
question will pop up.
Unfortunately, it seems I cannot do that...

pg
Comment 12 Nils Philippsen 2008-08-04 06:02:35 EDT
I've put this into NEEDINFO for Jon as per comment #6... I'll change it back to ASSIGNED.
Comment 13 Nils Philippsen 2008-08-04 06:02:57 EDT
... ehh NEW.
Comment 14 Piergiorgio Sartor 2009-01-15 06:57:03 EST
Hi, how is it going with this one?
Any news?
The applet shows the same problem also in F10, at least to me.

Thanks,

pg
Comment 15 Bug Zapper 2009-06-09 19:57:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Nils Philippsen 2009-06-10 11:12:02 EDT
No improvement on Fedora 11 with gdm-user-switch-applet-2.26.1-10.fc11.x86_64.
Comment 17 Piergiorgio Sartor 2009-07-10 08:07:41 EDT
Any news here?

Is anybody doing something on it?

Thanks,

piergiorgio
Comment 18 Piergiorgio Sartor 2009-07-28 10:43:57 EDT
I just notice that in bug #443252, comment #4, there is a sort of explanation why this issue is not fixed yet.

I do not want to enter into the discussion about the reasons explained there, but it would be very nice to fix this issue, really fix, I mean to re-add the option to show the user name or not, before starting some changes of other nature.

It seems to me, looking at how many bugs were opened about this topic, that many people would like to have the option back. 

Could you, please, consider it?

Thanks,

pg
Comment 19 Russell Harrison 2009-11-28 14:30:12 EST
The applet uses even more screen real estate in F12.  The applet now displays the users real name and their system user name.  This already causing my notification area to reach over more than midscreen with a 1680 width.  This is frustrating for me I can't imagine it being functional for someone with a lower resolution.
Comment 20 Bug Zapper 2010-04-27 07:58:49 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Nils Philippsen 2010-04-28 11:02:21 EDT
This issue still exists in gdm-user-switch-applet-2.30.0-1.fc13 on F-13 and I assume on Rawhide as well.
Comment 22 Bug Zapper 2010-07-30 06:31:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Fedora Admin XMLRPC Client 2011-06-21 11:32:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 24 Fedora Admin XMLRPC Client 2011-06-21 11:36:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 25 Fedora Admin XMLRPC Client 2011-06-21 11:37:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 26 Fedora Admin XMLRPC Client 2011-06-21 11:40:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 27 Fedora Admin XMLRPC Client 2011-06-21 11:50:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 28 Fedora Admin XMLRPC Client 2011-06-21 11:52:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 29 Fedora Admin XMLRPC Client 2011-06-21 11:55:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 30 Fedora Admin XMLRPC Client 2011-06-21 11:56:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 31 Fedora End Of Life 2012-08-16 16:05:50 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.